<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.140
Name: CCDA2 Patient Referral Act
Description: This template represents the type of referral (e.g., for dental care, to a specialist, for aging problems) and represents whether the referral is for full care or shared care. It may contain a reference to another act in the document instance representing the clinical reason for the referral (e.g., problem, concern, procedure).
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000">
   <title>CCDA2 Patient Referral Act</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]
Item: (ccda2-PatientReferralAct)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']
Item: (ccda2-PatientReferralAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']"
         id="tmp-r-b46a2653-f0a9-49c8-a177-6b88d2967197">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="string(@classCode)=('ACT')">(ccda2-PatientReferralAct): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="string(@moodCode)=('INT')">(ccda2-PatientReferralAct): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']/@nullFlavor)">(ccda2-PatientReferralAct): element hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140'])&lt;=1">(ccda2-PatientReferralAct): element hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ccda2-PatientReferralAct): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(ccda2-PatientReferralAct): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(ccda2-PatientReferralAct): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:statusCode[@code='active'])&gt;=1 and not(hl7:statusCode[@code='active']/@nullFlavor)">(ccda2-PatientReferralAct): element hl7:statusCode[@code='active'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:statusCode[@code='active'])&lt;=1">(ccda2-PatientReferralAct): element hl7:statusCode[@code='active'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(ccda2-PatientReferralAct): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(ccda2-PatientReferralAct): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']
Item: (ccda2-PatientReferralAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']"
         id="tmp-r-788c1d39-be58-4d23-a28a-37a00e22ef87">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.140')">(ccda2-PatientReferralAct): de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.140' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:id
Item: (ccda2-PatientReferralAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:id"
         id="tmp-r-cb5de4a0-fc14-4903-910c-9d17c6d1c7f0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ccda2-PatientReferralAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (ccda2-PatientReferralAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-fbcbdfd4-156d-4571-a3e5-1bf322a9270c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ccda2-PatientReferralAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(ccda2-PatientReferralAct): de elementwaarde MOET een zijn van '2.16.840.1.113883.11.20.9.56 Referral Types CCDA (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(ccda2-PatientReferralAct): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.11.20.9.56 Referral Types CCDA (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:statusCode[@code='active']
Item: (ccda2-PatientReferralAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:statusCode[@code='active']"
         id="tmp-r-0857a652-f540-4caf-8687-45e27714117e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ccda2-PatientReferralAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="@nullFlavor or (@code='active')">(ccda2-PatientReferralAct): de elementwaarde MOET een zijn van 'code 'active''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:effectiveTime
Item: (ccda2-PatientReferralAct)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']"
         id="tmp-r-84a3a903-1343-4b3e-8009-fe82efae995c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']/@nullFlavor)">(ccda2-AuthorParticipation): element hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119'])&lt;=1">(ccda2-AuthorParticipation): element hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(ccda2-AuthorParticipation): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:time)&lt;=1">(ccda2-AuthorParticipation): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1 and not(hl7:assignedAuthor/@nullFlavor)">(ccda2-AuthorParticipation): element hl7:assignedAuthor is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(ccda2-AuthorParticipation): element hl7:assignedAuthor komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']"
         id="tmp-r-70e66853-ba61-4c7d-aca3-9b11c529bf25">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.119')">conf-32018: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.119' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/hl7:time
Item: (ccda2-AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/hl7:assignedAuthor
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/hl7:assignedAuthor"
         id="tmp-r-e9d2dcd8-4d94-4359-8576-553afcdb132a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ccda2-AuthorParticipation): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:id)&lt;=1">(ccda2-AuthorParticipation): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:code)&lt;=1">(ccda2-AuthorParticipation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(ccda2-AuthorParticipation): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(ccda2-AuthorParticipation): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/hl7:assignedAuthor/hl7:id
Item: (ccda2-AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/hl7:assignedAuthor/hl7:code
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/hl7:assignedAuthor/hl7:code"
         id="tmp-r-13cbd839-b8f7-40d4-9c0f-c57614bfb33a">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(ccda2-AuthorParticipation): de elementwaarde MOET een zijn van '2.16.840.1.114222.4.11.1066 Healthcare Provider Taxonomy (HIPAA) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(ccda2-AuthorParticipation): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.114222.4.11.1066 Healthcare Provider Taxonomy (HIPAA) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/hl7:assignedAuthor/hl7:assignedPerson
Item: (ccda2-AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-r-0cee65dd-e2ed-486a-b81f-2f63b49f9b9d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ccda2-AuthorParticipation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/hl7:assignedAuthor/hl7:representedOrganization
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-r-d1f444e2-6d52-4dfc-90cd-14228a9823dd">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="string(@classCode)=('ORG')">(ccda2-AuthorParticipation): de waarde van @classCode MOET 'ORG' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="tmp-r-97ffe254-9df6-4953-b719-0d92dc46a071">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ccda2-AuthorParticipation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="tmp-r-53e1a6cf-bd6e-4796-9fa4-4f44621e8b28">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ccda2-AuthorParticipation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-37a066ae-39d8-4fe7-a4f1-30fe482c0ce1">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ccda2-AuthorParticipation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="tmp-r-3a071130-e0ee-4edf-8d69-4f6c4cf6e525">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ccda2-AuthorParticipation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:entryRelationship[hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]
Item: (ccda2-PatientReferralAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:entryRelationship[hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]"
         id="tmp-r-19b173c4-31a5-494f-a214-b10d8daf8343">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="string(@typeCode)=('SUBJ')">(ccda2-PatientReferralAct): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]])&gt;=1 ">(ccda2-PatientReferralAct): element hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]])&lt;=1">(ccda2-PatientReferralAct): element hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:entryRelationship[hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]
Item: (ccda2-PatientReferralAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:entryRelationship[hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]"
         id="tmp-r-c274c9e7-0421-4e85-b4ed-9c7164d20093">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="string(@classCode)=('OBS')">(ccda2-PatientReferralAct): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="string(@moodCode)=('EVN')">(ccda2-PatientReferralAct): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')])&gt;=1 and not(hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]/@nullFlavor)">(ccda2-PatientReferralAct): element hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')])&lt;=1">(ccda2-PatientReferralAct): element hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(ccda2-PatientReferralAct): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(ccda2-PatientReferralAct): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(ccda2-PatientReferralAct): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(ccda2-PatientReferralAct): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:entryRelationship[hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (ccda2-PatientReferralAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:entryRelationship[hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-r-1d3e6b07-4c75-471a-8a94-7979725a222b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="@nullFlavor or (@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')">(ccda2-PatientReferralAct): de elementwaarde MOET een zijn van 'code 'ASSERTION' codeSystem '2.16.840.1.113883.5.4''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:entryRelationship[hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:statusCode[@code='completed']
Item: (ccda2-PatientReferralAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:entryRelationship[hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:statusCode[@code='completed']"
         id="tmp-r-160360e1-17ac-416a-8a4c-212a47f13c53">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="@nullFlavor or (@code='completed')">(ccda2-PatientReferralAct): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:entryRelationship[hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (ccda2-PatientReferralAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:entryRelationship[hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-195631ce-4daa-4b35-bbdc-d211148bf9d9">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ccda2-PatientReferralAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(ccda2-PatientReferralAct): de elementwaarde MOET een zijn van '2.16.840.1.113883.11.20.9.61 Care Model CCDA (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(ccda2-PatientReferralAct): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.11.20.9.61 Care Model CCDA (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:entryRelationship[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.122']]
Item: (ccda2-PatientReferralAct)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/hl7:entryRelationship[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.122']]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="string(@typeCode)=('RSON')">(ccda2-PatientReferralAct): de waarde van @typeCode MOET 'RSON' zijn.</assert>
   </rule>
</pattern>
